{
  "model": {
    "type": "minecraft:condition",
    "property": "minecraft:component",
    "predicate": "minecraft:enchantments",
    "value": [
      {
        "enchantments": "minecraft:breach",
        "levels": 4
      },
      {
        "enchantments": "minecraft:fire_aspect",
        "levels": 2
      },
      {
        "enchantments": "minecraft:mending"
      },
      {
        "enchantments": "minecraft:wind_burst",
        "levels": 3
      }
    ],
    "on_true": {
      "type": "minecraft:model",
      "model": "cit_new:item/tools/mace/breach_fire_mending_wind"
    },
    "on_false": {
      "type": "minecraft:condition",
      "property": "minecraft:component",
      "predicate": "minecraft:enchantments",
      "value": [
        {
          "enchantments": "minecraft:density",
          "levels": 5
        },
        {
          "enchantments": "minecraft:fire_aspect",
          "levels": 2
        },
        {
          "enchantments": "minecraft:mending"
        },
        {
          "enchantments": "minecraft:wind_burst",
          "levels": 3
        }
      ],
      "on_true": {
        "type": "minecraft:model",
        "model": "cit_new:item/tools/mace/density_fire_mending_wind"
      },
      "on_false": {
        "type": "minecraft:condition",
        "property": "minecraft:component",
        "predicate": "minecraft:enchantments",
        "value": [
          {
            "enchantments": "minecraft:breach",
            "levels": 4
          },
          {
            "enchantments": "minecraft:fire_aspect",
            "levels": 2
          },
          {
            "enchantments": "minecraft:mending"
          }
        ],
        "on_true": {
          "type": "minecraft:model",
          "model": "cit_new:item/tools/mace/breach_fire_mending"
        },
        "on_false": {
          "type": "minecraft:condition",
          "property": "minecraft:component",
          "predicate": "minecraft:enchantments",
          "value": [
            {
              "enchantments": "minecraft:breach",
              "levels": 4
            },
            {
              "enchantments": "minecraft:fire_aspect",
              "levels": 2
            },
            {
              "enchantments": "minecraft:wind_burst",
              "levels": 3
            }
          ],
          "on_true": {
            "type": "minecraft:model",
            "model": "cit_new:item/tools/mace/breach_fire_wind"
          },
          "on_false": {
            "type": "minecraft:condition",
            "property": "minecraft:component",
            "predicate": "minecraft:enchantments",
            "value": [
              {
                "enchantments": "minecraft:breach",
                "levels": 4
              },
              {
                "enchantments": "minecraft:mending"
              },
              {
                "enchantments": "minecraft:wind_burst",
                "levels": 3
              }
            ],
            "on_true": {
              "type": "minecraft:model",
              "model": "cit_new:item/tools/mace/breach_mending_wind"
            },
            "on_false": {
              "type": "minecraft:condition",
              "property": "minecraft:component",
              "predicate": "minecraft:enchantments",
              "value": [
                {
                  "enchantments": "minecraft:density",
                  "levels": 5
                },
                {
                  "enchantments": "minecraft:fire_aspect",
                  "levels": 2
                },
                {
                  "enchantments": "minecraft:mending"
                }
              ],
              "on_true": {
                "type": "minecraft:model",
                "model": "cit_new:item/tools/mace/density_fire_mending"
              },
              "on_false": {
                "type": "minecraft:condition",
                "property": "minecraft:component",
                "predicate": "minecraft:enchantments",
                "value": [
                  {
                    "enchantments": "minecraft:density",
                    "levels": 5
                  },
                  {
                    "enchantments": "minecraft:fire_aspect",
                    "levels": 2
                  },
                  {
                    "enchantments": "minecraft:wind_burst",
                    "levels": 3
                  }
                ],
                "on_true": {
                  "type": "minecraft:model",
                  "model": "cit_new:item/tools/mace/density_fire_wind"
                },
                "on_false": {
                  "type": "minecraft:condition",
                  "property": "minecraft:component",
                  "predicate": "minecraft:enchantments",
                  "value": [
                    {
                      "enchantments": "minecraft:fire_aspect",
                      "levels": 2
                    },
                    {
                      "enchantments": "minecraft:mending"
                    },
                    {
                      "enchantments": "minecraft:wind_burst",
                      "levels": 3
                    }
                  ],
                  "on_true": {
                    "type": "minecraft:model",
                    "model": "cit_new:item/tools/mace/fire_mending_wind"
                  },
                  "on_false": {
                    "type": "minecraft:condition",
                    "property": "minecraft:component",
                    "predicate": "minecraft:enchantments",
                    "value": [
                      {
                        "enchantments": "minecraft:breach",
                        "levels": 4
                      },
                      {
                        "enchantments": "minecraft:fire_aspect",
                        "levels": 2
                      }
                    ],
                    "on_true": {
                      "type": "minecraft:model",
                      "model": "cit_new:item/tools/mace/breach_fire"
                    },
                    "on_false": {
                      "type": "minecraft:condition",
                      "property": "minecraft:component",
                      "predicate": "minecraft:enchantments",
                      "value": [
                        {
                          "enchantments": "minecraft:breach",
                          "levels": 4
                        },
                        {
                          "enchantments": "minecraft:mending"
                        }
                      ],
                      "on_true": {
                        "type": "minecraft:model",
                        "model": "cit_new:item/tools/mace/breach_mending"
                      },
                      "on_false": {
                        "type": "minecraft:condition",
                        "property": "minecraft:component",
                        "predicate": "minecraft:enchantments",
                        "value": [
                          {
                            "enchantments": "minecraft:breach",
                            "levels": 4
                          },
                          {
                            "enchantments": "minecraft:wind_burst",
                            "levels": 3
                          }
                        ],
                        "on_true": {
                          "type": "minecraft:model",
                          "model": "cit_new:item/tools/mace/breach_wind"
                        },
                        "on_false": {
                          "type": "minecraft:condition",
                          "property": "minecraft:component",
                          "predicate": "minecraft:enchantments",
                          "value": [
                            {
                              "enchantments": "minecraft:density",
                              "levels": 5
                            },
                            {
                              "enchantments": "minecraft:fire_aspect",
                              "levels": 2
                            }
                          ],
                          "on_true": {
                            "type": "minecraft:model",
                            "model": "cit_new:item/tools/mace/density_fire"
                          },
                          "on_false": {
                            "type": "minecraft:condition",
                            "property": "minecraft:component",
                            "predicate": "minecraft:enchantments",
                            "value": [
                              {
                                "enchantments": "minecraft:density",
                                "levels": 5
                              },
                              {
                                "enchantments": "minecraft:mending"
                              }
                            ],
                            "on_true": {
                              "type": "minecraft:model",
                              "model": "cit_new:item/tools/mace/density_mending"
                            },
                            "on_false": {
                              "type": "minecraft:condition",
                              "property": "minecraft:component",
                              "predicate": "minecraft:enchantments",
                              "value": [
                                {
                                  "enchantments": "minecraft:density",
                                  "levels": 5
                                },
                                {
                                  "enchantments": "minecraft:wind_burst",
                                  "levels": 3
                                }
                              ],
                              "on_true": {
                                "type": "minecraft:model",
                                "model": "cit_new:item/tools/mace/density_wind"
                              },
                              "on_false": {
                                "type": "minecraft:condition",
                                "property": "minecraft:component",
                                "predicate": "minecraft:enchantments",
                                "value": [
                                  {
                                    "enchantments": "minecraft:fire_aspect",
                                    "levels": 2
                                  },
                                  {
                                    "enchantments": "minecraft:mending"
                                  }
                                ],
                                "on_true": {
                                  "type": "minecraft:model",
                                  "model": "cit_new:item/tools/mace/fire_mending"
                                },
                                "on_false": {
                                  "type": "minecraft:condition",
                                  "property": "minecraft:component",
                                  "predicate": "minecraft:enchantments",
                                  "value": [
                                    {
                                      "enchantments": "minecraft:fire_aspect",
                                      "levels": 2
                                    },
                                    {
                                      "enchantments": "minecraft:wind_burst",
                                      "levels": 3
                                    }
                                  ],
                                  "on_true": {
                                    "type": "minecraft:model",
                                    "model": "cit_new:item/tools/mace/fire_wind"
                                  },
                                  "on_false": {
                                    "type": "minecraft:condition",
                                    "property": "minecraft:component",
                                    "predicate": "minecraft:enchantments",
                                    "value": [
                                      {
                                        "enchantments": "minecraft:wind_burst",
                                        "levels": 3
                                      },
                                      {
                                        "enchantments": "minecraft:mending"
                                      }
                                    ],
                                    "on_true": {
                                      "type": "minecraft:model",
                                      "model": "cit_new:item/tools/mace/wind_mending"
                                    },
                                    "on_false": {
                                      "type": "minecraft:condition",
                                      "property": "minecraft:component",
                                      "predicate": "minecraft:enchantments",
                                      "value": [
                                        {
                                          "enchantments": "minecraft:breach",
                                          "levels": 4
                                        }
                                      ],
                                      "on_true": {
                                        "type": "minecraft:model",
                                        "model": "cit_new:item/tools/mace/breach"
                                      },
                                      "on_false": {
                                        "type": "minecraft:condition",
                                        "property": "minecraft:component",
                                        "predicate": "minecraft:enchantments",
                                        "value": [
                                          {
                                            "enchantments": "minecraft:density",
                                            "levels": 5
                                          }
                                        ],
                                        "on_true": {
                                          "type": "minecraft:model",
                                          "model": "cit_new:item/tools/mace/density"
                                        },
                                        "on_false": {
                                          "type": "minecraft:condition",
                                          "property": "minecraft:component",
                                          "predicate": "minecraft:enchantments",
                                          "value": [
                                            {
                                              "enchantments": "minecraft:fire_aspect",
                                              "levels": 2
                                            }
                                          ],
                                          "on_true": {
                                            "type": "minecraft:model",
                                            "model": "cit_new:item/tools/mace/fire"
                                          },
                                          "on_false": {
                                            "type": "minecraft:condition",
                                            "property": "minecraft:component",
                                            "predicate": "minecraft:enchantments",
                                            "value": [
                                              {
                                                "enchantments": "minecraft:mending"
                                              }
                                            ],
                                            "on_true": {
                                              "type": "minecraft:model",
                                              "model": "cit_new:item/tools/mace/mending"
                                            },
                                            "on_false": {
                                              "type": "minecraft:condition",
                                              "property": "minecraft:component",
                                              "predicate": "minecraft:enchantments",
                                              "value": [
                                                {
                                                  "enchantments": "minecraft:wind_burst",
                                                  "levels": 3
                                                }
                                              ],
                                              "on_true": {
                                                "type": "minecraft:model",
                                                "model": "cit_new:item/tools/mace/wind"
                                              },
                                              "on_false": {
                                                "type": "minecraft:model",
                                                "model": "minecraft:item/mace"
                                              }
                                            }
                                          }
                                        }
                                      }
                                    }
                                  }
                                }
                              }
                            }
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        }
      }
    }
  }
}